<template>
  <div class="dashboard-page-container">
    <h1 class="page-title">Overview</h1>
    <div class="mt-3">
      <div class="row">
        <div class="col-sm-12 col-md-4 mt-2">
          <CurrentAccountBalance />
        </div>
        <div class="col-sm-12 col-md-4 mt-2">
          <SavingsAccountBalance />
        </div>
        <div class="col-sm-12 col-md-4 mt-2">
          <WelcomeCard />
        </div>
      </div>
      <div class="row mt-2 justify-content-between">
        <div class="col-sm-12 col-md-4">
          <div class="quick-services">
            <h1 class="page-title">Quick Services</h1>
            <div class="d-flex flex-wrap justify-content-between">
              <div class="text-center">
                <nuxt-link
                  to="/user/dashboard/transfer"
                  class="text-dark text-decoration-none"
                >
                  <img
                    src="@/assets/icons/transfer.svg"
                    alt="transfer"
                    style="height: 60px"
                  />
                  <p class="mt-3 fw-bold text-sm">Transfer</p>
                </nuxt-link>
              </div>
              <div class="text-center">
                <nuxt-link
                  to="/user/dashboard/airtime-data"
                  class="text-dark text-decoration-none"
                >
                  <img
                    src="@/assets/icons/airtime.svg"
                    alt="transfer"
                    style="height: 60px"
                  />
                  <p class="mt-3 fw-bold text-sm">Airtime</p>
                </nuxt-link>
              </div>
              <div class="text-center">
                <nuxt-link
                  to="/user/dashboard/bill-payments"
                  class="text-dark text-decoration-none"
                >
                  <img
                    src="@/assets/icons/pay-bills.svg"
                    alt="transfer"
                    style="height: 60px"
                  />
                  <p class="mt-3 fw-bold text-sm">Pay Bills</p>
                </nuxt-link>
              </div>
              <div class="text-center">
                <nuxt-link
                  to="/user/dashboard/investments"
                  class="text-dark text-decoration-none"
                >
                  <img
                    src="@/assets/icons/investments.svg"
                    alt="transfer"
                    style="height: 60px"
                  />
                  <p class="mt-3 fw-bold text-sm">Investments</p>
                </nuxt-link>
              </div>
              <div class="text-center">
                <nuxt-link
                  to="/user/dashboard/loans"
                  class="text-dark text-decoration-none"
                >
                  <img
                    src="@/assets/icons/loans.svg"
                    alt="transfer"
                    style="height: 60px"
                  />
                  <p class="mt-3 fw-bold text-sm">Loans</p>
                </nuxt-link>
              </div>
            </div>
          </div>
          <div class="quick-transfer">
            <h1 class="page-title">Quick Transfer</h1>
            <div class="d-flex flex-wrap justify-content-between">
              <div class="text-center">
                <nuxt-link
                  to="/user/dashboard/transfer"
                  class="text-dark text-decoration-none"
                >
                  <vs-avatar class="m-auto" circle size="60">
                    <template #text> + </template>
                  </vs-avatar>
                  <p class="mt-1 fw-bold text-sm">Add New</p>
                </nuxt-link>
              </div>
            </div>
          </div>
        </div>
        <div class="col-sm-12 col-md-5">
          <div
            class="rounded-3 py-3 mt-2 position-relative w-100"
            ref="transactionsContent"
          >
            <h1 class="page-title">Recent Transactions</h1>
            <div class="row">
              <div class="col-sm-12 col-md-10">
                <p class="fw-bold">Expenses</p>

                <!-- amount: 100
id: 6
name: "Airtime Recharge"
narration: "Airtime- 08162511023"
status: "Success"
type: "debit"
 -->
                <div
                  v-for="(transaction, i) in transactions"
                  :key="i"
                  class="table py-2 d-flex justify-content-between border-bottom"
                >
                  <h5 class="fw-bold m-0 text-capitalize">
                    {{ transaction.narration }}
                  </h5>
                  <div class="text-right">
                    <h5
                      :class="`${
                        transaction.type === 'debit' ? 'text-danger' : ''
                      }
                      
                      ${
                        transaction.type === 'credit' ? 'text-success' : ''
                      } m-0 fw-bold text-right`"
                    >
                      {{ transaction.amount | formatPrice }}
                    </h5>
                    <p class="text-muted m-0 text-right">
                      {{ transaction.TransactionDate | formatDate }}
                    </p>
                  </div>
                </div>
                <div
                  class="text-center my-3"
                  v-if="!transactions.length && !contentLoading"
                >
                  <h3>No transactions History</h3>
                </div>
              </div>
              <!-- <div class="col-sm-12 col-md-4">
            <p class="fw-bold">Income</p>
            <div
              v-for="(transaction, i) in transactions"
              :key="i"
              class="table py-2 d-flex justify-content-between border-bottom"
            >
              <h3 class="fw-bold m-0">Salary</h3>
              <div class="text-right">
                <h3 class="m-0 fw-bold text-right">- ₦97,357.89</h3>
                <p class="text-muted m-0 text-right">November 28, 2020</p>
              </div>
            </div>
          </div> -->
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  layout: 'dashboard',
  middleware: 'users-auth',
  data: () => ({
    page: 1,
    perPage: 10,
    totalPages: 1,
    contentLoading: false,
    transactions: [],
  }),
  mounted() {
    this.fetchData()
  },
  methods: {
    async fetchData() {
      const loading = this.$vs.loading({
        target: this.$refs.transactionsContent,
        color: 'primary',
        scale: 2,
      })
      try {
        this.contentLoading = true
        const { payload } = await this.$axios.$get(
          '/transaction/history?page=1&limit=5'
        )
        loading.close()
        this.transactions = payload.length ? payload.slice(0, 5) : []
        // console.log(this.transactions)
        this.contentLoading = false
      } catch (error) {
        loading.close()
        this.contentLoading = false
      }
    },
  },
}
</script>

<style lang="scss">
@import '~@/assets/scss/index';
@import '~@/assets/scss/variables';

.text-sm {
  font-size: 12px;
}
.dashboard-page-container {
  .monthly-balance-history {
    background: #ffffff;
    border-radius: 20px;
  }
}
</style>
